| Home | Libraries | People | FAQ | More

## Struct data_t

boost::intrusive::avltree::data_t

## Synopsis

    // In header: <boost/intrusive/avltree.hpp>

    struct data_t {
      // types
      typedef avltree::value_traits value_traits;

      // construct/copy/destruct
      data_t(const value_compare &, const value_traits &);
      node_plus_pred_t node_plus_pred_;
    };

## Description

### `data_t` public construct/copy/destruct

1.     data_t(const value_compare & comp, const value_traits & val_traits);